/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

/**
 * 系统常量
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
public interface Constants {

    /* 过期时长，单位为秒 */
    int REDIS_EXPIRE_TIME = 3600 * 24 * 30;//一个月

    String REDIS_KEY_PREFIX = "appSessionUser:";

    int PLATFORM_EXPIRED = 2;//平台端的默认过期时间(小时)

    String SESSION_TIMEOUT = "$_SESSION_TIMEOUT";

    String CHARSET_JSON_UTF8 = "application/json; charset=utf-8";

    String PARAM_KEY = "key";

    String PARAM_TOKEN = "token";

    String TRACE_ID = "TRACE_ID";

    String $CLIENT = "$spring_cloud_client";

    String $CLIENT_VALUE = "-";

    String TYPE_ZIP = "zip";

    String TYPE_PDF = "pdf";

    String COMMON_ACCOUNT_TYPE = "COMMON_LOGIN_NAME";

    String STUDENT_ACCOUNT_TYPE = "STUDENT_CODE";

    String PASSWORD = "password";

    /* 常用状态码 */
    String CODE_0 = "0";//错误
    String CODE_200 = "200";//成功
    String CODE_500 = "500";//失败
    String CODE_403 = "403";//认证失败
    String CODE_404 = "404";//请求地址不存在
    String CODE_P001012 = "P-001012";//认证失败
    String CODE_B001012 = "B-001012";//认证失败

}